Subject: Re: bug#18684: 24.3; keystrokes come out of order

From: Robert Marshall <[email-masked]>
Date: Fri, 31 Oct 2014 14:36:27 +0000

On Sat, Oct 11 2014, Eli Zaretskii <[email-masked]> wrote:

>> From: [email-masked]
>> Date: Fri, 10 Oct 2014 22:41:36 +0000 (GMT)
>> Cc: [email-masked]
>> 
>> When typing quickly, the charaters from keystrokes come out of order.
>> For example typing 'f' 'o' 'r' 't' may come out as "ofrt" or sometimes
>> fully inverse "trof" or some other combination.
>> 
>> Typing faster makes the problem more likely to reproduce, but even
>> quite normal typing speed has problems.
>> 
>> Higher system load makes the problem more likely, but it manifests
>> with load levels as low as 0.25.
>> 
>> The problem is more prominent in buffers that have onerous font-lock
>> configurations. E.g. the default syntax highlighting of c-mode
>> makes the problem 4 times as likely as fundamental-mode.
>> 
>> It seems to me that somehow the input queue processing is not
>> strictly FIFO. Instead, the characters that pile up while other
>> process is running, are all rendered in inverse order at some
>> later time after some newer characters have already been rendered.
>
> When this happens, does "C-h l" (that's the letter ell, not the digit
> one) show the keys in the correct order or incorrect one?
>
> Anyway, the Emacs input queue is a strict FIFO.  I suspect some
> optional package you use produces this strange effect, as I never saw
> anything even close to what you describe.
>
> Try analyzing your ~/.emacs and site-init files for possible culprits.
>

I'm also seeing this (I think!) with a recentish build from trunk (Oct
9), I didn't (AFAICR) see it with the previous build (Sep 13)

I'm quite frequently seeing a permutation of gnus appearing - usually
ending with the 'g' - when I do M-x gnus I was blaming my mind/fingers
so I'm very happy to see this report. ;-)

I'll also keep an eye on the lossage when I next get an occurrence I'm
confident of (where it's more than just a simple swap of 2 chars) . I've
not changed anything in .emacs (or locally installed packages) recently.

Also with ubuntu 14.04 - and with kde in case that's relevant

Robert
-- 
Robert Marshall